Skip to content

Projects

The /projects endpoint provides read-only access to MetaKraftwerk projects. Projects are top-level containers that group instances, builds, patterns, and other resources.

See Also

GET /api/v1/projects — Find Projects

Retrieve a list of projects accessible to the authenticated user.

Endpoint

GET https://app.metakraftwerk.com/api/v1/projects

Query Parameters

ParameterTypeRequiredDescription
namestringNoFilter by project name.

Response Schema

Returns an array of project objects:

FieldTypeDescription
idintegerUnique project ID.
namestringProject name.
deletedbooleanWhether the project is marked as deleted.
disabledbooleanWhether the project is disabled.

Examples

cURL

bash
# List all projects
curl -X GET "https://app.metakraftwerk.com/api/v1/projects" \
  -H "Authorization: Bearer $ACCESS_TOKEN"

# Find by name
curl -X GET "https://app.metakraftwerk.com/api/v1/projects?name=DEMO_PROJECT" \
  -H "Authorization: Bearer $ACCESS_TOKEN"

JavaScript (Fetch)

javascript
const response = await fetch(
  'https://app.metakraftwerk.com/api/v1/projects?name=DEMO_PROJECT',
  { headers: { 'Authorization': `Bearer ${accessToken}` } }
);

const projects = await response.json();

Response Example

json
[
  {
    "id": 402,
    "name": "DEMO_PROJECT",
    "deleted": false,
    "disabled": false
  }
]

Error Responses

StatusConditionExample Message
401Missing or invalid tokenNot authenticated

GET /api/v1/projects/:id — Get Project

Retrieve a single project by its ID.

Endpoint

GET https://app.metakraftwerk.com/api/v1/projects/:id

Path Parameters

ParameterTypeRequiredDescription
idintegerYesThe project ID.

Examples

cURL

bash
curl -X GET "https://app.metakraftwerk.com/api/v1/projects/402" \
  -H "Authorization: Bearer $ACCESS_TOKEN"

JavaScript (Fetch)

javascript
const response = await fetch(
  'https://app.metakraftwerk.com/api/v1/projects/402',
  { headers: { 'Authorization': `Bearer ${accessToken}` } }
);

const project = await response.json();

Error Responses

StatusConditionExample Message
401Missing or invalid tokenNot authenticated
404Project not foundNo record found for id 'X'

POST /api/v1/projects — Create

Not implemented

PUT /api/v1/projects — Update

Not implemented

PATCH /api/v1/projects/:id — Patch

Not implemented

DELETE /api/v1/projects/:id — Remove

Not implemented